import { defineComponent, openBlock, createElementBlock, createBlock, resolveDynamicComponent, normalizeClass, withCtx, createElementVNode, renderSlot, createTextVNode, toDisplayString } from "vue";
import { idProps } from "../../composables/useId/index.js";
const _hoisted_1 = { class: "accordion-item" }, _hoisted_2 = ["data-bs-target"], _hoisted_3 = ["id", "data-bs-parent"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "AccordionItem",
  props: {
    /**
     * The classes that will be forwarded to the body
     */
    bodyClass: {
      type: [String, Array, Object],
      default: void 0
    },
    /**
     * The classes that will be forwarded to the button
     */
    buttonClass: {
      type: [String, Array, Object],
      default: void 0
    },
    /**
     * The classes that will be forwarded to the collapse
     */
    collapseClass: {
      type: [String, Array, Object],
      default: void 0
    },
    /**
     * The text that will be shown in the header
     */
    header: {
      type: String,
      default: void 0
    },
    /**
     * The classes that will be forwarded to the header
     */
    headerClass: {
      type: [String, Array, Object],
      default: void 0
    },
    /**
     * The html tag that will be used for the header
     */
    headerTag: {
      type: String,
      default: "h2"
    },
    ...idProps,
    /**
     * The id of the parent `Accordion` component
     */
    parentId: {
      type: String,
      default: void 0
    }
  },
  setup(__props) {
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", _hoisted_1, [
      (openBlock(), createBlock(resolveDynamicComponent(__props.headerTag), {
        class: normalizeClass(["accordion-header", __props.headerClass])
      }, {
        default: withCtx(() => [
          createElementVNode("button", {
            class: normalizeClass(["accordion-button collapsed", __props.buttonClass]),
            "data-bs-toggle": "collapse",
            "data-bs-target": `#${_ctx.id}`
          }, [
            renderSlot(_ctx.$slots, "header", {}, () => [
              createTextVNode(toDisplayString(__props.header), 1)
            ])
          ], 10, _hoisted_2)
        ]),
        _: 3
      }, 8, ["class"])),
      createElementVNode("div", {
        id: `${_ctx.id}`,
        class: normalizeClass(["accordion-collapse collapse", __props.collapseClass]),
        "data-bs-parent": __props.parentId ? `#${__props.parentId}` : void 0
      }, [
        createElementVNode("div", {
          class: normalizeClass(["accordion-body", __props.bodyClass])
        }, [
          renderSlot(_ctx.$slots, "default")
        ], 2)
      ], 10, _hoisted_3)
    ]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=AccordionItem.vue.js.map
