import { defineComponent, ref, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
import useBootstrapEmits from "../../composables/useBootstrapEmits/index.js";
import useBootstrapInstance from "../../composables/useBootstrapInstance/index.js";
import useClasses from "../../composables/useClasses/index.js";
import useVariant, { variantProps } from "../../composables/useVariant/index.js";
const alertEvents = ["close", "closed"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Alert",
  props: variantProps,
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props, emit = __emit, alert = ref();
    useBootstrapEmits(
      alert,
      alertEvents,
      emit,
      "alert"
    );
    const { bsInstance: bsAlert } = useBootstrapInstance(
      "Alert",
      alert
    ), { classes } = useClasses(computed(() => [
      useVariant(props.variant, "alert-{0}").variantClass.value
    ]));
    return __expose({ bsAlert }), (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      ref_key: "alert",
      ref: alert,
      class: normalizeClass(["alert", unref(classes)])
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Alert.vue.js.map
