import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
import useVariant, { variantProps } from "../../composables/useVariant/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Badge",
  props: {
    /**
     * Indicates if the badge should be shown as a pill
     */
    pill: {
      type: Boolean,
      default: !1
    },
    ...variantProps
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      computed(() => props.pill ? "rounded-pill" : void 0).value,
      useVariant(props.variant, "bg-{0}").variantClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      class: normalizeClass(["badge", unref(classes)])
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Badge.vue.js.map
