import { defineComponent, computed, openBlock, createBlock, resolveDynamicComponent, normalizeClass, unref, withCtx, renderSlot } from "vue";
import useDisabled, { disabledProps } from "../../composables/useDisabled/index.js";
import useSize, { sizeProps } from "../../composables/useSize/index.js";
import useVariant, { variantProps } from "../../composables/useVariant/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Button",
  props: {
    ...disabledProps,
    href: {
      type: String,
      default: void 0
    },
    is: {
      type: String,
      default: void 0
    },
    /**
     * Changes the button to an outline variant
     */
    outline: {
      type: Boolean,
      default: !1
    },
    ...sizeProps,
    to: {
      type: [Object, String],
      default: void 0
    },
    ...variantProps
  },
  setup(__props) {
    const props = __props, variantClassTemplate = computed(() => `btn-${props.outline ? "outline-" : ""}{0}`), { classes } = useClasses(computed(() => [
      useDisabled(props.disabled).disabledClass.value,
      useSize(props.size, "btn-{0}").sizeClass.value,
      useVariant(props.variant, variantClassTemplate).variantClass.value
    ])), is = computed(() => props.is ? props.is : props.to ? "RouterLink" : props.href ? "a" : "button");
    return (_ctx, _cache) => (openBlock(), createBlock(resolveDynamicComponent(is.value), {
      class: normalizeClass(["btn", unref(classes)]),
      disabled: _ctx.disabled,
      href: __props.href,
      to: __props.to
    }, {
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 8, ["class", "disabled", "href", "to"]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Button.vue.js.map
