import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
import useSize, { sizeProps } from "../../composables/useSize/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ButtonGroup",
  props: {
    ...sizeProps,
    /**
     * Stacks the buttons vertically
     */
    vertical: {
      type: Boolean,
      default: !1
    }
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      computed(() => props.vertical ? "btn-group-vertical" : "btn-group").value,
      useSize(props.size, "btn-group-{0}").sizeClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      class: normalizeClass(unref(classes))
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=ButtonGroup.vue.js.map
