import { defineComponent, computed, openBlock, createBlock, unref, withCtx, createElementBlock, createCommentVNode, renderSlot, createElementVNode } from "vue";
import { variantProp } from "../../composables/useVariant/index.js";
import _sfc_main$1 from "../Button/Button.vue.js";
import _sfc_main$2 from "../Spinner/Spinner.vue.js";
const _hoisted_1 = {
  key: 0,
  class: "me-2"
}, _hoisted_2 = {
  key: 1,
  class: "button-state-icon",
  "data-test": "success",
  fill: "currentColor",
  height: "1em",
  viewBox: "3 3 10 10",
  xmlns: "http://www.w3.org/2000/svg",
  width: "1em"
}, _hoisted_3 = /* @__PURE__ */ createElementVNode("path", { d: "M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z" }, null, -1), _hoisted_4 = [
  _hoisted_3
], _hoisted_5 = {
  key: 2,
  class: "button-state-icon",
  "data-test": "error",
  fill: "currentColor",
  height: "1em",
  viewBox: "0 0 16 16",
  xmlns: "http://www.w3.org/2000/svg",
  width: "1em"
}, _hoisted_6 = /* @__PURE__ */ createElementVNode("path", { d: "M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z" }, null, -1), _hoisted_7 = /* @__PURE__ */ createElementVNode("path", { d: "M7.002 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0zM7.1 4.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 4.995z" }, null, -1), _hoisted_8 = [
  _hoisted_6,
  _hoisted_7
], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ButtonState",
  props: {
    /**
     * Controls the error state of the button
     */
    error: {
      type: Boolean,
      default: !1
    },
    errorVariant: variantProp("danger"),
    /**
     * Controls the loading state of the button
     */
    loading: {
      type: Boolean,
      default: !1
    },
    /**
     * Controls the success state of the button
     */
    success: {
      type: Boolean,
      default: !1
    },
    successVariant: variantProp("success"),
    variant: variantProp()
  },
  setup(__props) {
    const props = __props, disabled = computed(() => props.loading), variant = computed(() => {
      switch (!0) {
        case props.success:
          return props.successVariant;
        case props.error:
          return props.errorVariant;
        default:
          return props.variant;
      }
    });
    return (_ctx, _cache) => (openBlock(), createBlock(unref(_sfc_main$1), {
      disabled: disabled.value,
      variant: variant.value
    }, {
      default: withCtx(() => [
        __props.error || __props.loading || __props.success ? (openBlock(), createElementBlock("span", _hoisted_1, [
          __props.loading ? (openBlock(), createBlock(unref(_sfc_main$2), {
            key: 0,
            size: "sm",
            variant: ""
          })) : createCommentVNode("", !0),
          __props.success ? (openBlock(), createElementBlock("svg", _hoisted_2, _hoisted_4)) : createCommentVNode("", !0),
          __props.error ? (openBlock(), createElementBlock("svg", _hoisted_5, _hoisted_8)) : createCommentVNode("", !0)
        ])) : createCommentVNode("", !0),
        renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 8, ["disabled", "variant"]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=ButtonState.vue.js.map
