import { defineComponent, openBlock, createElementBlock, renderSlot, createTextVNode, toDisplayString, createCommentVNode, createElementVNode, normalizeClass } from "vue";
const _hoisted_1 = { class: "card" }, _hoisted_2 = {
  key: 0,
  class: "card-header"
}, _hoisted_3 = {
  key: 0,
  class: "card-title"
}, _hoisted_4 = {
  key: 1,
  class: "card-subtitle"
}, _hoisted_5 = {
  key: 2,
  class: "card-text"
}, _hoisted_6 = {
  key: 1,
  class: "card-footer"
}, _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Card",
  props: {
    /**
     * The text displayed in the footer. Will be overwritten by the user of the `footer` slot
     */
    footer: {
      type: String,
      default: void 0
    },
    /**
     * The text displayed in the header. Will be overwritten by the user of the `header` slot
     */
    header: {
      type: String,
      default: void 0
    },
    /**
     * Prevents the `.card-body` class from being added. Useful for when multiple card bodies are required
     */
    noBody: {
      type: Boolean,
      default: !1
    },
    /**
     * The subtitle displayed in the body. Will be overwritten by the user of the `default` slot
     */
    subtitle: {
      type: String,
      default: void 0
    },
    /**
     * The text displayed in the body. Will be overwritten by the user of the `default` slot
     */
    text: {
      type: String,
      default: void 0
    },
    /**
     * The title displayed in the body. Will be overwritten by the user of the `default` slot
     */
    title: {
      type: String,
      default: void 0
    }
  },
  setup(__props) {
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", _hoisted_1, [
      _ctx.$slots.header || __props.header ? (openBlock(), createElementBlock("div", _hoisted_2, [
        renderSlot(_ctx.$slots, "header", {}, () => [
          createTextVNode(toDisplayString(__props.header), 1)
        ])
      ])) : createCommentVNode("", !0),
      createElementVNode("div", {
        class: normalizeClass({ "card-body": !__props.noBody })
      }, [
        renderSlot(_ctx.$slots, "default", {}, () => [
          __props.title ? (openBlock(), createElementBlock("h5", _hoisted_3, toDisplayString(__props.title), 1)) : createCommentVNode("", !0),
          __props.subtitle ? (openBlock(), createElementBlock("h6", _hoisted_4, toDisplayString(__props.subtitle), 1)) : createCommentVNode("", !0),
          __props.text ? (openBlock(), createElementBlock("div", _hoisted_5, toDisplayString(__props.text), 1)) : createCommentVNode("", !0)
        ])
      ], 2),
      _ctx.$slots.footer || __props.footer ? (openBlock(), createElementBlock("div", _hoisted_6, [
        renderSlot(_ctx.$slots, "footer", {}, () => [
          createTextVNode(toDisplayString(__props.footer), 1)
        ])
      ])) : createCommentVNode("", !0)
    ]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Card.vue.js.map
