import { defineComponent, ref, computed, openBlock, createElementBlock, normalizeClass, unref, createElementVNode, renderSlot, Fragment, renderList, createCommentVNode, toDisplayString } from "vue";
import { idProps } from "../../composables/useId/index.js";
import useBootstrapEmits from "../../composables/useBootstrapEmits/index.js";
import useBootstrapInstance from "../../composables/useBootstrapInstance/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _hoisted_1 = ["id", "data-bs-interval"], _hoisted_2 = { class: "carousel-inner" }, _hoisted_3 = ["data-bs-interval"], _hoisted_4 = ["src"], _hoisted_5 = {
  key: 0,
  class: "carousel-caption d-none d-md-block"
}, _hoisted_6 = { key: 0 }, _hoisted_7 = { key: 1 }, _hoisted_8 = { key: 0 }, _hoisted_9 = ["data-bs-target"], _hoisted_10 = /* @__PURE__ */ createElementVNode("span", { class: "carousel-control-prev-icon" }, null, -1), _hoisted_11 = [
  _hoisted_10
], _hoisted_12 = ["data-bs-target"], _hoisted_13 = /* @__PURE__ */ createElementVNode("span", { class: "carousel-control-next-icon" }, null, -1), _hoisted_14 = [
  _hoisted_13
], _hoisted_15 = {
  key: 1,
  class: "carousel-indicators"
}, _hoisted_16 = ["data-bs-target", "data-bs-slide-to"], carouselEvents = ["slid", "slide"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Carousel",
  props: {
    /**
     * Use dark mode for the controls
     */
    dark: {
      type: Boolean,
      default: !1
    },
    /**
     * Use a fade transition for the slides
     */
    fade: {
      type: Boolean,
      default: !1
    },
    /**
     * Hide the controls
     */
    hideControls: {
      type: Boolean,
      default: !1
    },
    /**
     * Hide the indicators
     */
    hideIndicators: {
      type: Boolean,
      default: !1
    },
    ...idProps,
    /**
     * The interval of the carousel in milliseconds
     */
    interval: {
      type: Number,
      default: 5e3
    },
    /**
     * The slides of the carousel
     */
    slides: {
      type: Array,
      default: () => []
    }
  },
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props, emit = __emit, carousel = ref(), activeIndex = computed(() => {
      const activeSlideIndex = props.slides.findIndex((slide) => slide.active);
      return activeSlideIndex > -1 ? activeSlideIndex : 0;
    });
    useBootstrapEmits(
      carousel,
      carouselEvents,
      emit,
      "carousel"
    );
    const { bsInstance: bsCarousel } = useBootstrapInstance(
      "Carousel",
      carousel
    ), { classes } = useClasses(computed(() => [
      props.dark ? "carousel-dark" : null,
      props.fade ? "carousel-fade" : null
    ]));
    return __expose({ bsCarousel }), (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      id: _ctx.id,
      ref_key: "carousel",
      ref: carousel,
      class: normalizeClass(["carousel slide", unref(classes)]),
      "data-bs-interval": __props.interval,
      "data-bs-ride": "carousel"
    }, [
      createElementVNode("div", _hoisted_2, [
        renderSlot(_ctx.$slots, "slides", { slides: __props.slides }, () => [
          (openBlock(!0), createElementBlock(Fragment, null, renderList(__props.slides, (slide, index) => (openBlock(), createElementBlock("div", {
            key: `slide-${index}`,
            class: normalizeClass(["carousel-item", { active: index === activeIndex.value }]),
            "data-bs-interval": slide.interval
          }, [
            renderSlot(_ctx.$slots, "default", {
              index,
              slide
            }, () => [
              slide.image ? (openBlock(), createElementBlock("img", {
                key: 0,
                src: slide.image,
                class: "d-block w-100"
              }, null, 8, _hoisted_4)) : createCommentVNode("", !0),
              renderSlot(_ctx.$slots, "caption", {
                description: slide.description,
                title: slide.title
              }, () => [
                slide.title || slide.description ? (openBlock(), createElementBlock("div", _hoisted_5, [
                  slide.title ? (openBlock(), createElementBlock("h5", _hoisted_6, toDisplayString(slide.title), 1)) : createCommentVNode("", !0),
                  slide.description ? (openBlock(), createElementBlock("p", _hoisted_7, toDisplayString(slide.description), 1)) : createCommentVNode("", !0)
                ])) : createCommentVNode("", !0)
              ])
            ])
          ], 10, _hoisted_3))), 128))
        ])
      ]),
      __props.hideControls ? createCommentVNode("", !0) : (openBlock(), createElementBlock("div", _hoisted_8, [
        renderSlot(_ctx.$slots, "control-prev", {
          dataset: {
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide": "prev"
          }
        }, () => [
          createElementVNode("button", {
            class: "carousel-control-prev",
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide": "prev"
          }, _hoisted_11, 8, _hoisted_9)
        ]),
        renderSlot(_ctx.$slots, "control-next", {
          dataset: {
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide": "next"
          }
        }, () => [
          createElementVNode("button", {
            class: "carousel-control-next",
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide": "next"
          }, _hoisted_14, 8, _hoisted_12)
        ])
      ])),
      __props.hideIndicators ? createCommentVNode("", !0) : (openBlock(), createElementBlock("div", _hoisted_15, [
        (openBlock(!0), createElementBlock(Fragment, null, renderList(__props.slides, (slide, index) => renderSlot(_ctx.$slots, "indicator", {
          index,
          slide,
          activeIndex: activeIndex.value,
          dataset: {
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide-to": index
          }
        }, () => [
          (openBlock(), createElementBlock("button", {
            key: `slide-indicator-${index}`,
            class: normalizeClass({ active: index === activeIndex.value }),
            "data-bs-target": `#${_ctx.id}`,
            "data-bs-slide-to": index
          }, null, 10, _hoisted_16))
        ])), 256))
      ]))
    ], 10, _hoisted_1));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Carousel.vue.js.map
