import { defineComponent, ref, openBlock, createElementBlock, Fragment, renderSlot, createElementVNode, mergeProps } from "vue";
import { idProps } from "../../composables/useId/index.js";
import useBootstrapEmits from "../../composables/useBootstrapEmits/index.js";
import useBootstrapInstance from "../../composables/useBootstrapInstance/index.js";
const _hoisted_1 = ["data-bs-target"], _hoisted_2 = ["id", "data-bs-parent"], collapseEvents = ["show", "shown", "hide", "hidden"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Collapse",
  props: {
    ...idProps,
    /**
     * The selector of the parent element
     * *This should be a valid query selector*
     */
    parentSelector: {
      type: String,
      default: null
    },
    /**
     * Whether the collapse is visible
     */
    visible: {
      type: Boolean,
      default: !1
    }
  },
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props, emit = __emit, collapse = ref();
    useBootstrapEmits(
      collapse,
      collapseEvents,
      emit,
      "collapse"
    );
    const { bsInstance: bsCollapse } = useBootstrapInstance(
      "Collapse",
      collapse,
      { toggle: props.visible }
    );
    return __expose({ bsCollapse }), (_ctx, _cache) => (openBlock(), createElementBlock(Fragment, null, [
      renderSlot(_ctx.$slots, "toggle", { id: _ctx.id }, () => [
        createElementVNode("div", mergeProps({
          class: "collapse-toggle",
          "data-bs-toggle": "collapse",
          "data-bs-target": `#${_ctx.id}`
        }, _ctx.$attrs), [
          renderSlot(_ctx.$slots, "toggleContent", { id: _ctx.id })
        ], 16, _hoisted_1)
      ]),
      createElementVNode("div", {
        id: _ctx.id,
        ref_key: "collapse",
        ref: collapse,
        class: "collapse",
        "data-bs-parent": __props.parentSelector
      }, [
        renderSlot(_ctx.$slots, "default", { id: _ctx.id })
      ], 8, _hoisted_2)
    ], 64));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Collapse.vue.js.map
