import { defineComponent, ref, openBlock, createBlock, unref, withCtx, renderSlot, createVNode, createTextVNode, toDisplayString } from "vue";
import _sfc_main$2 from "../Button/Button.vue.js";
import _sfc_main$1 from "../Modal/Modal.vue.js";
import { variantProp } from "../../composables/useVariant/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Confirm",
  props: {
    /**
     * The body of the confirm modal
     */
    body: {
      type: String,
      default: "Are you sure?"
    },
    /**
     * Changes the cancel button to an outline variant
     */
    cancelOutline: {
      type: Boolean,
      default: !1
    },
    /**
     * The text of the cancel button
     */
    cancelText: {
      type: String,
      default: "No"
    },
    /**
     * The variant of the cancel button
     */
    cancelVariant: variantProp("light"),
    /**
     * The text of the ok button
     */
    okText: {
      type: String,
      default: "Yes"
    },
    /**
     * The variant of the ok button
     */
    okVariant: variantProp("primary"),
    /**
     * The title of the confirm modal
     */
    title: {
      type: String,
      default: "Confirmation"
    }
  },
  emits: ["cancelled", "confirmed"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const emit = __emit, cancel = () => {
      emit("cancelled"), hide();
    }, ok = () => {
      emit("confirmed"), hide();
    }, modal = ref(), hide = () => {
      var _a;
      return (_a = modal.value.bsModal) == null ? void 0 : _a.hide();
    };
    return __expose({ hide, show: () => {
      var _a;
      return (_a = modal.value.bsModal) == null ? void 0 : _a.show();
    }, toggle: () => {
      var _a;
      return (_a = modal.value.bsModal) == null ? void 0 : _a.toggle();
    } }), (_ctx, _cache) => (openBlock(), createBlock(unref(_sfc_main$1), {
      ref_key: "modal",
      ref: modal,
      title: __props.title
    }, {
      footer: withCtx(() => [
        renderSlot(_ctx.$slots, "buttonCancel", {}, () => [
          createVNode(unref(_sfc_main$2), {
            class: "button-cancel",
            outline: __props.cancelOutline,
            variant: __props.cancelVariant,
            onClick: cancel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(__props.cancelText), 1)
            ]),
            _: 1
          }, 8, ["outline", "variant"])
        ]),
        renderSlot(_ctx.$slots, "buttonOk", {}, () => [
          createVNode(unref(_sfc_main$2), {
            class: "button-ok",
            variant: __props.okVariant,
            onClick: ok
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(__props.okText), 1)
            ]),
            _: 1
          }, 8, ["variant"])
        ])
      ]),
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "default", {}, () => [
          createTextVNode(toDisplayString(__props.body), 1)
        ])
      ]),
      _: 3
    }, 8, ["title"]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Confirm.vue.js.map
