import { defineComponent, ref, openBlock, createElementBlock, renderSlot, createVNode, unref, normalizeClass, withCtx, createTextVNode, mergeProps, normalizeProps, guardReactiveProps } from "vue";
import _sfc_main$1 from "../Button/Button.vue.js";
import _sfc_main$2 from "../DropdownMenu/DropdownMenu.vue.js";
import { dropdownItemProps } from "../../composables/useDropdownItem/index.js";
import { dropdownProps } from "../../composables/useDropdown/index.js";
import useBootstrapEmits from "../../composables/useBootstrapEmits/index.js";
import useBootstrapInstance from "../../composables/useBootstrapInstance/index.js";
const dropdownEvents = ["show", "shown", "hide", "hidden"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Dropdown",
  props: {
    ...dropdownItemProps,
    ...dropdownProps
  },
  setup(__props, { expose: __expose, emit: __emit }) {
    const emit = __emit, dropdown = ref();
    useBootstrapEmits(
      dropdown,
      dropdownEvents,
      emit,
      "dropdown"
    );
    const { bsInstance: bsDropdown } = useBootstrapInstance(
      "Dropdown",
      dropdown
    );
    return __expose({ bsDropdown }), (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      ref_key: "dropdown",
      ref: dropdown,
      class: "dropdown"
    }, [
      renderSlot(_ctx.$slots, "dropdownToggle", {}, () => [
        createVNode(unref(_sfc_main$1), {
          class: normalizeClass(["dropdown-toggle", _ctx.toggleClass]),
          "data-bs-toggle": "dropdown",
          size: _ctx.size,
          variant: _ctx.variant
        }, {
          default: withCtx(() => [
            renderSlot(_ctx.$slots, "default", {}, () => [
              createTextVNode(" Select ")
            ])
          ]),
          _: 3
        }, 8, ["class", "size", "variant"])
      ]),
      renderSlot(_ctx.$slots, "dropdownMenu", mergeProps({ "onClick:item": _ctx.$attrs["onClick:item"] }, { items: _ctx.items }), () => [
        createVNode(unref(_sfc_main$2), mergeProps({
          items: _ctx.items,
          class: _ctx.menuClass,
          "item-class": _ctx.itemClass
        }, { "onClick:item": _ctx.$attrs["onClick:item"] }), {
          prepend: withCtx((slotScope) => [
            renderSlot(_ctx.$slots, "prepend", normalizeProps(guardReactiveProps(slotScope)))
          ]),
          items: withCtx((slotScope) => [
            renderSlot(_ctx.$slots, "items", normalizeProps(guardReactiveProps(slotScope)))
          ]),
          item: withCtx((slotScope) => [
            renderSlot(_ctx.$slots, "item", normalizeProps(guardReactiveProps(slotScope)))
          ]),
          append: withCtx((slotScope) => [
            renderSlot(_ctx.$slots, "append", normalizeProps(guardReactiveProps(slotScope)))
          ]),
          _: 3
        }, 16, ["items", "class", "item-class"])
      ])
    ], 512));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Dropdown.vue.js.map
