import { defineComponent, openBlock, createElementBlock, renderSlot, Fragment, renderList, createVNode, unref, mergeProps } from "vue";
import { dropdownItemsProps } from "../../composables/useDropdownItems/index.js";
import _sfc_main$1 from "../DropdownMenuItem/DropdownMenuItem.vue.js";
import { dropdownItemProps } from "../../composables/useDropdownItem/index.js";
const _hoisted_1 = { class: "dropdown-menu" }, _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "DropdownMenu",
  props: {
    ...dropdownItemProps,
    ...dropdownItemsProps
  },
  emits: [
    /**
     * Fired when an item is clicked
     * @param {Item} item The item that was clicked
     */
    "click:item"
  ],
  setup(__props, { emit: __emit }) {
    const emit = __emit, clickItem = (item) => emit("click:item", item);
    return (_ctx, _cache) => (openBlock(), createElementBlock("ul", _hoisted_1, [
      renderSlot(_ctx.$slots, "prepend"),
      renderSlot(_ctx.$slots, "items", {
        clickItem,
        items: _ctx.items
      }, () => [
        (openBlock(!0), createElementBlock(Fragment, null, renderList(_ctx.items, (item, index) => renderSlot(_ctx.$slots, "item", {
          key: `item-${index.toString()}`,
          clickItem,
          item
        }, () => [
          createVNode(unref(_sfc_main$1), mergeProps(item, {
            "item-class": _ctx.itemClass,
            onClick: ($event) => clickItem(item)
          }), null, 16, ["item-class", "onClick"])
        ])), 128))
      ]),
      renderSlot(_ctx.$slots, "append")
    ]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=DropdownMenu.vue.js.map
