import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, renderSlot, createTextVNode, toDisplayString, createBlock, resolveDynamicComponent, withModifiers, withCtx } from "vue";
import { dropdownItemProps } from "../../composables/useDropdownItem/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "DropdownMenuItem",
  props: {
    /**
     * Adds the `active` class
     */
    active: {
      type: Boolean,
      default: !1
    },
    /**
     * Adds the `disabled` class
     */
    disabled: {
      type: Boolean,
      default: !1
    },
    /**
     * Displays a divider
     */
    divider: {
      type: Boolean,
      default: !1
    },
    ...dropdownItemProps,
    /**
     * Displays label as header
     */
    header: {
      type: Boolean,
      default: !1
    },
    href: {
      type: String,
      default: "#"
    },
    is: {
      type: String,
      default: void 0
    },
    /**
     * The label to display
     */
    label: {
      type: String,
      default: void 0
    },
    to: {
      type: [Object, String],
      default: void 0
    }
  },
  setup(__props) {
    const props = __props, is = computed(() => props.is ? props.is : props.to ? "RouterLink" : "a");
    return (_ctx, _cache) => (openBlock(), createElementBlock("li", null, [
      __props.divider ? (openBlock(), createElementBlock("hr", {
        key: 0,
        class: normalizeClass(["dropdown-divider", _ctx.itemClass])
      }, null, 2)) : __props.header ? (openBlock(), createElementBlock("h6", {
        key: 1,
        class: normalizeClass(["dropdown-header", _ctx.itemClass])
      }, [
        renderSlot(_ctx.$slots, "default", {}, () => [
          createTextVNode(toDisplayString(__props.label), 1)
        ])
      ], 2)) : (openBlock(), createBlock(resolveDynamicComponent(is.value), {
        key: 2,
        class: normalizeClass(["dropdown-item", [{ active: __props.active, disabled: __props.disabled }, _ctx.itemClass]]),
        href: __props.href,
        to: __props.to,
        onClick: _cache[0] || (_cache[0] = withModifiers(() => {
        }, ["prevent"]))
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(__props.label), 1)
          ])
        ]),
        _: 3
      }, 8, ["class", "href", "to"]))
    ]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=DropdownMenuItem.vue.js.map
