import { defineComponent, computed, openBlock, createElementBlock, Fragment, renderList, createBlock, unref } from "vue";
import _sfc_main$1 from "../FormCheck/FormCheck.vue.js";
import { typeProp } from "../FormCheck/type.js";
import { disabledProps } from "../../composables/useDisabled/index.js";
import { idProps } from "../../composables/useId/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "FormCheckGroup",
  props: {
    ...disabledProps,
    /**
     * Display the checks as a switch by adding the `form-switch` class
     */
    switch: {
      type: Boolean,
      default: !1
    },
    /**
     * The items to display in the group
     */
    items: {
      type: Array,
      required: !0
    },
    /**
     * The type of the input
     * @values 'checkbox'|'radio'
     */
    type: typeProp,
    // Put `modelValue` after `type` so it will be available in `default`.
    /**
     * The model value
     */
    modelValue: {
      type: [Array, String, Number, void 0],
      default: (props) => props.type === "checkbox" ? [] : void 0
    }
  },
  emits: [
    /**
     * Fired when the model value is updated
     * @param {any} value The new value
     */
    "update:modelValue"
  ],
  setup(__props, { emit: __emit }) {
    const props = __props, name = props.type === "checkbox" ? void 0 : idProps.id.default(), emit = __emit, isSwitch = computed(() => props.switch), value = computed({
      get: () => props.modelValue,
      set: (v) => emit("update:modelValue", v)
    }), getValue = (i) => props.type === "checkbox" ? !!value.value[i] : value.value, setValue = (v, i) => {
      if (props.type === "checkbox") {
        const clone = [...value.value];
        clone[i] = v, value.value = clone;
      } else
        value.value = v;
    };
    return (_ctx, _cache) => (openBlock(!0), createElementBlock(Fragment, null, renderList(__props.items, (item, index) => (openBlock(), createBlock(unref(_sfc_main$1), {
      key: item.value,
      disabled: _ctx.disabled,
      label: item.label || item.value,
      "model-value": getValue(index),
      name: unref(name),
      type: __props.type,
      switch: isSwitch.value,
      value: item.value,
      "onUpdate:modelValue": ($event) => setValue($event, index)
    }, null, 8, ["disabled", "label", "model-value", "name", "type", "switch", "value", "onUpdate:modelValue"]))), 128));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=FormCheckGroup.vue.js.map
