import { defineComponent, ref, computed, openBlock, createElementBlock, normalizeClass, unref } from "vue";
import { formControlProps } from "../../composables/useFormControl/index.js";
import useClasses from "../../composables/useClasses/index.js";
import useDisabled from "../../composables/useDisabled/index.js";
import useSize from "../../composables/useSize/index.js";
const _hoisted_1 = ["autofocus", "disabled", "placeholder", "readonly", "required", "type", "value"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "FormControl",
  props: formControlProps,
  emits: [
    /**
     * Fired when the model value is updated
     * @param {any} value The new value
     */
    "update:modelValue"
  ],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props, emit = __emit, input = ref(), { classes } = useClasses(computed(() => [
      useDisabled(props.disabled).disabledClass.value,
      props.plainText ? "form-control-plaintext" : "",
      props.readonly ? "readonly" : "",
      useSize(props.size, "form-control-{0}").sizeClass.value
    ]));
    return __expose({ input }), (_ctx, _cache) => (openBlock(), createElementBlock("input", {
      ref_key: "input",
      ref: input,
      autofocus: _ctx.autofocus,
      class: normalizeClass(["form-control", unref(classes)]),
      disabled: _ctx.disabled,
      placeholder: _ctx.placeholder,
      readonly: _ctx.readonly,
      required: _ctx.required,
      type: _ctx.type,
      value: _ctx.modelValue,
      onInput: _cache[0] || (_cache[0] = ($event) => emit("update:modelValue", $event.target.value))
    }, null, 42, _hoisted_1));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=FormControl.vue.js.map
