import { defineComponent, ref, computed, watch, openBlock, createElementBlock, normalizeClass, normalizeStyle, withModifiers, createElementVNode, renderSlot } from "vue";
import { idProps } from "../../composables/useId/index.js";
const _hoisted_1 = ["for"], _hoisted_2 = ["id"], _hoisted_3 = {
  key: 0,
  class: "form-image-btn-edit"
}, _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "FormImage",
  props: {
    /**
     * The data type of the model
     * @values 'file'|'base64'
     */
    dataType: {
      type: String,
      default: "base64"
    },
    ...idProps,
    /**
     * The model value
     */
    modelValue: {
      type: [Object, String],
      default: void 0
    },
    /**
     * The preview
     */
    preview: {
      type: String,
      default: void 0
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props, emit = __emit, input = ref(), file = ref(), readerResult = ref(), preview = computed(() => readerResult.value || props.preview), style = computed(() => preview.value ? {
      "background-color": "transparent",
      "background-image": `url(${preview.value})`,
      "background-size": "cover"
    } : {}), value = computed({
      get: () => props.modelValue,
      set: (v) => emit("update:modelValue", v)
    });
    watch(file, (f) => readFile(f));
    const onChange = (e) => {
      const newFile = e.target.files.item(0);
      return newFile != null && newFile.type.match("image.*") ? (file.value = newFile, !0) : !1;
    }, onDrop = (e) => {
      e.preventDefault(), input.value.files = e.dataTransfer.files, onChange({ target: input.value });
    }, readFile = (file2) => {
      if (!file2)
        return value.value = void 0;
      props.dataType === "file" && (value.value = file2);
      const reader = new FileReader();
      return reader.onload = () => {
        readerResult.value = reader.result, props.dataType === "base64" && (value.value = reader.result);
      }, reader.readAsDataURL(file2), reader;
    };
    return (_ctx, _cache) => (openBlock(), createElementBlock("label", {
      class: normalizeClass(["form-image", { "form-image-has-preview": !!preview.value }]),
      for: _ctx.id,
      style: normalizeStyle(style.value),
      onDrop,
      onDragenter: _cache[0] || (_cache[0] = withModifiers(() => {
      }, ["prevent"])),
      onDragover: _cache[1] || (_cache[1] = withModifiers(() => {
      }, ["prevent"]))
    }, [
      createElementVNode("input", {
        id: _ctx.id,
        ref_key: "input",
        ref: input,
        accept: "image/*",
        hidden: "",
        type: "file",
        onChange
      }, null, 40, _hoisted_2),
      preview.value ? (openBlock(), createElementBlock("div", _hoisted_3)) : renderSlot(_ctx.$slots, "placeholder", { key: 1 })
    ], 46, _hoisted_1));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=FormImage.vue.js.map
