import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot, toDisplayString, createCommentVNode } from "vue";
import useSize, { sizeProps } from "../../composables/useSize/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _hoisted_1 = {
  key: 0,
  class: "input-group-text"
}, _hoisted_2 = {
  key: 0,
  class: "input-group-text"
}, _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "InputGroup",
  props: {
    /**
     * The text to prepend to the input
     */
    append: {
      type: String,
      default: void 0
    },
    /**
     * The text to append to the input
     */
    prepend: {
      type: String,
      default: void 0
    },
    ...sizeProps
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      useSize(props.size, "input-group-{0}").sizeClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      class: normalizeClass(["input-group", unref(classes)])
    }, [
      renderSlot(_ctx.$slots, "prepend", {}, () => [
        __props.prepend ? (openBlock(), createElementBlock("span", _hoisted_1, toDisplayString(__props.prepend), 1)) : createCommentVNode("", !0)
      ]),
      renderSlot(_ctx.$slots, "default"),
      renderSlot(_ctx.$slots, "append", {}, () => [
        __props.append ? (openBlock(), createElementBlock("span", _hoisted_2, toDisplayString(__props.append), 1)) : createCommentVNode("", !0)
      ])
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=InputGroup.vue.js.map
