import { defineComponent, computed, openBlock, createBlock, resolveDynamicComponent, normalizeClass, unref, withCtx, renderSlot } from "vue";
import useFlush, { flushProps } from "../../composables/useFlush/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ListGroup",
  props: {
    ...flushProps,
    /**
     * Defines if the list should be displayed horizontally
     */
    horizontal: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the list should be numbered
     */
    numbered: {
      type: Boolean,
      default: !1
    }
  },
  setup(__props) {
    const props = __props, tag = computed(() => props.numbered ? "ol" : "ul"), { classes } = useClasses(computed(() => [
      useFlush(props.flush, "list-group-{0}").flushClass.value,
      props.horizontal ? "list-group-horizontal" : void 0,
      props.numbered ? "list-group-numbered" : void 0
    ]));
    return (_ctx, _cache) => (openBlock(), createBlock(resolveDynamicComponent(tag.value), {
      class: normalizeClass(["list-group", unref(classes)])
    }, {
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 8, ["class"]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=ListGroup.vue.js.map
