import { defineComponent, computed, openBlock, createBlock, resolveDynamicComponent, normalizeClass, unref, withCtx, renderSlot } from "vue";
import useActive, { activeProps } from "../../composables/useActive/index.js";
import useDisabled, { disabledProps } from "../../composables/useDisabled/index.js";
import useVariant, { variantProp } from "../../composables/useVariant/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ListGroupItem",
  props: {
    ...activeProps,
    ...disabledProps,
    /**
     * The tag to be used for the list group item
     */
    tag: {
      type: String,
      default: "li"
    },
    variant: variantProp("")
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      ["a", "button"].includes(props.tag) ? "list-group-item-action" : void 0,
      useActive(props.active).activeClass.value,
      useDisabled(props.disabled).disabledClass.value,
      useVariant(props.variant, "list-group-item-{0}").variantClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createBlock(resolveDynamicComponent(__props.tag), {
      class: normalizeClass(["list-group-item", unref(classes)])
    }, {
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 8, ["class"]));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=ListGroupItem.vue.js.map
