import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Nav",
  props: {
    /**
     * Defines if the `nav-fill` class should be used
     */
    fill: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the `nav-justified` class should be used
     */
    justified: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the `nav-pills` class should be used
     */
    pills: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the `nav-tabs` class should be used
     */
    tabs: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the `flex-column` class should be used
     * *Displays items vertically*
     */
    vertical: {
      type: Boolean,
      default: !1
    }
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      props.fill ? "nav-fill" : void 0,
      props.justified ? "nav-justified" : void 0,
      props.pills ? "nav-pills" : void 0,
      props.tabs ? "nav-tabs" : void 0,
      props.vertical ? "flex-column" : void 0
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("nav", {
      class: normalizeClass(["nav", unref(classes)])
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Nav.vue.js.map
