import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
import useActive, { activeProps } from "../../composables/useActive/index.js";
import useDisabled, { disabledProps } from "../../composables/useDisabled/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "NavLink",
  props: {
    ...activeProps,
    ...disabledProps
  },
  setup(__props) {
    const props = __props, { classes } = useClasses(computed(() => [
      useActive(props.active).activeClass.value,
      useDisabled(props.disabled).disabledClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("a", {
      class: normalizeClass(["nav-link", unref(classes)]),
      href: "#"
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 2));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=NavLink.vue.js.map
