import { defineComponent, ref, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot, createTextVNode, toDisplayString, createCommentVNode, createElementVNode } from "vue";
import usePlacement, { placementProps } from "../../composables/usePlacement/index.js";
import { idProps } from "../../composables/useId/index.js";
import useBootstrapEmits from "../../composables/useBootstrapEmits/index.js";
import useBootstrapInstance from "../../composables/useBootstrapInstance/index.js";
import useClasses from "../../composables/useClasses/index.js";
const _hoisted_1 = ["id", "data-bs-backdrop", "data-bs-scroll"], _hoisted_2 = {
  key: 0,
  class: "offcanvas-header"
}, offcanvasEvents = ["show", "shown", "hide", "hidden", "hidePrevented"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Offcanvas",
  props: {
    /**
     * Defines if a backdrop should be shown
     */
    backdrop: {
      type: Boolean,
      default: !0
    },
    /**
     * The header text of the offcanvas
     */
    header: {
      type: String,
      default: void 0
    },
    ...idProps,
    /**
     * Defines if the `offcanvas-body` class should be omitted
     */
    noBody: {
      type: Boolean,
      default: !1
    },
    ...placementProps,
    /**
     * Defines if the main content should be scrollable when offcanvas is opened
     */
    scroll: {
      type: Boolean,
      default: !1
    },
    /**
     * Defines if the offcanvas is shown
     */
    show: {
      type: Boolean,
      default: !1
    }
  },
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props, emit = __emit, offcanvas = ref();
    useBootstrapEmits(
      offcanvas,
      offcanvasEvents,
      emit,
      "offcanvas"
    );
    const { bsInstance: bsOffcanvas } = useBootstrapInstance(
      "Offcanvas",
      offcanvas
    ), { classes } = useClasses(computed(() => [
      usePlacement(props.placement, "offcanvas-{0}").placementClass.value,
      computed(() => props.show ? "show" : void 0).value
    ]));
    return __expose({ bsOffcanvas }), (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      id: _ctx.id,
      ref_key: "offcanvas",
      ref: offcanvas,
      class: normalizeClass(["offcanvas", unref(classes)]),
      "data-bs-backdrop": __props.backdrop,
      "data-bs-scroll": __props.scroll
    }, [
      _ctx.$slots.header || __props.header ? (openBlock(), createElementBlock("div", _hoisted_2, [
        renderSlot(_ctx.$slots, "header", {}, () => [
          createTextVNode(toDisplayString(__props.header), 1)
        ])
      ])) : createCommentVNode("", !0),
      createElementVNode("div", {
        class: normalizeClass({ "offcanvas-body": !__props.noBody })
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2)
    ], 10, _hoisted_1));
  }
});
export {
  _sfc_main as default
};
//# sourceMappingURL=Offcanvas.vue.js.map
