import { defineComponent, toRef, computed, openBlock, createElementBlock, normalizeClass, unref } from "vue";
import useSize, { sizeProps } from "../../composables/useSize/index.js";
import useVariant, { variantProps } from "../../composables/useVariant/index.js";
import useClasses from "../../composables/useClasses/index.js";
import useStringTemplate from "../../composables/useStringTemplate/index.js";
const types = ["border", "grow"], _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Spinner",
  props: {
    ...sizeProps,
    /**
     * The type of the spinner
     * @values 'border'|'grow'
     */
    type: {
      type: String,
      default: "border",
      validator: (t) => types.includes(t)
    },
    ...variantProps
  },
  setup(__props) {
    const props = __props, spinnerClass = useStringTemplate("spinner-{0}", toRef(props, "type")).templatedString, { classes } = useClasses(computed(() => [
      useSize(props.size, `${spinnerClass.value}-{0}`).sizeClass.value,
      spinnerClass.value,
      useVariant(props.variant, "text-{0}").variantClass.value
    ]));
    return (_ctx, _cache) => (openBlock(), createElementBlock("div", {
      class: normalizeClass(unref(classes))
    }, null, 2));
  }
});
export {
  _sfc_main as default,
  types
};
//# sourceMappingURL=Spinner.vue.js.map
