import { PropType } from 'vue';
export interface Field {
    key: string;
    label?: string;
    sortable?: boolean;
    sort?: 'asc' | 'desc';
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    /**
     * The fields of the table
     */
    fields: {
        type: PropType<Field[]>;
        required: false;
        default: any;
    };
    /**
     * The items that are shown in the table
     */
    items: {
        type: PropType<Record<string, unknown>[]>;
        default: () => any[];
    };
    /**
     * Defines if multiple items can be sorted at once
     */
    multiSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-hover` class should be used
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-click` class should be used
     */
    'onClick:row': {
        type: FunctionConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    tbodyTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    theadTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "click:row": (item: Record<string, unknown>) => void;
    "hover:row": (item: Record<string, unknown>, e: unknown) => void;
    sort: (sorted: Record<string, string>) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The fields of the table
     */
    fields: {
        type: PropType<Field[]>;
        required: false;
        default: any;
    };
    /**
     * The items that are shown in the table
     */
    items: {
        type: PropType<Record<string, unknown>[]>;
        default: () => any[];
    };
    /**
     * Defines if multiple items can be sorted at once
     */
    multiSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-hover` class should be used
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-click` class should be used
     */
    'onClick:row': {
        type: FunctionConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    tbodyTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    theadTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
}>> & {
    onSort?: (sorted: Record<string, string>) => any;
    "onClick:row"?: (item: Record<string, unknown>) => any;
    "onHover:row"?: (item: Record<string, unknown>, e: unknown) => any;
}, {
    items: Record<string, unknown>[];
    'onClick:row': Function;
    fields: Field[];
    multiSort: boolean;
    hover: boolean;
    tbodyTrClass: string | Function | Record<string, any> | unknown[];
    theadTrClass: string | Record<string, any> | unknown[];
}, {}>, Partial<Record<`header-${string}`, (_: {
    key: string;
    header: Field;
}) => any>> & Partial<Record<`header-${string}-content`, (_: {
    header: Field;
}) => any>> & Partial<Record<string, (_: {
    key: string;
    field: Field;
    item: Record<string, unknown>;
    index: number;
    value: unknown;
}) => any>> & Partial<Record<`${string}-content`, (_: {
    field: Field;
    item: Record<string, unknown>;
    index: number;
    value: unknown;
}) => any>> & {
    "top-row"?(_: {
        headers: Field[];
    }): any;
    "no-items"?(_: {
        headers: Field[];
    }): any;
    row?(_: {
        item: Record<string, unknown>;
        index: number;
    }): any;
    "bottom-row"?(_: {
        headers: Field[];
    }): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
