import { computed, unref } from "vue";
import templateString from "../../library/templateString/index.js";
import useClasses from "../useClasses/index.js";
import useStringTemplate from "../useStringTemplate/index.js";
const breakpoints = ["sm", "md", "lg", "xl", "xxl"], useBreakpoints = (props, classTemplate) => {
  const breakpointClasses = computed(
    () => breakpoints.map((b) => useStringTemplate(classTemplate, [b, unref(props[b])]).templatedString.value)
  );
  return {
    breakpointClasses: useClasses(breakpointClasses).classes
  };
}, breakpointProps = (propTemplate, template = "{0}") => Object.fromEntries(
  breakpoints.map((b) => [
    templateString(template, b),
    propTemplate
  ])
);
export {
  breakpointProps,
  breakpoints,
  useBreakpoints as default
};
//# sourceMappingURL=index.js.map
