import { disabledProps } from "../useDisabled/index.js";
import { sizeProps } from "../useSize/index.js";
const types = [
  "button",
  "checkbox",
  "color",
  "date",
  "datetime-local",
  "email",
  "file",
  "hidden",
  "image",
  "month",
  "number",
  "password",
  "radio",
  "range",
  "reset",
  "search",
  "submit",
  "tel",
  "text",
  "time",
  "url",
  "week"
], formControlProps = {
  autofocus: {
    type: Boolean,
    default: !1
  },
  ...disabledProps,
  modelValue: {
    type: [String, Number],
    default: ""
  },
  placeholder: {
    type: String,
    default: ""
  },
  plainText: {
    type: Boolean,
    default: !1
  },
  readonly: {
    type: Boolean,
    default: !1
  },
  required: {
    type: Boolean,
    default: !1
  },
  ...sizeProps,
  type: {
    type: String,
    default: "text",
    validator: (v) => types.includes(v)
  }
};
export {
  formControlProps,
  types
};
//# sourceMappingURL=index.js.map
