import { computed, unref } from "vue";
import useDisabled, { disabledProps } from "../useDisabled/index.js";
import useSize, { sizeProps } from "../useSize/index.js";
import useClasses from "../useClasses/index.js";
const useFormSelect = (props) => useClasses(computed(() => [
  useDisabled(unref(props).disabled).disabledClass.value,
  useSize(unref(props).size, "form-select-{0}").sizeClass.value
])), formSelectProps = {
  ...disabledProps,
  items: {
    type: Array,
    default: () => []
  },
  ...sizeProps
};
export {
  useFormSelect as default,
  formSelectProps
};
//# sourceMappingURL=index.js.map
